using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;

namespace Shooter {

	public class ShooterGame : Microsoft.Xna.Framework.Game {
		GraphicsDeviceManager graphics;
		World world;

		public ShooterGame() {
			graphics = new GraphicsDeviceManager(this);
			Content.RootDirectory = "Content";
		}

		protected override void Initialize() {
			base.Initialize();
		}

		protected override void LoadContent() {
			world = new World(GraphicsDevice, Content);
			world.Exiting += new EventHandler(world_Exit);
		}

		void world_Exit(object sender, EventArgs e) {
			Exit();
		}

		protected override void UnloadContent() {
		}

		protected override void Update(GameTime gameTime) {
			if (GamePad.GetState(PlayerIndex.One).Buttons.Back == ButtonState.Pressed)
				this.Exit();
			world.Update();
			base.Update(gameTime);
		}

		protected override void Draw(GameTime gameTime) {
			GraphicsDevice.Clear(Color.Black);
			world.Draw();
			base.Draw(gameTime);
		}
	}
}
